# Uses of Interface
java.sql.ParameterMetaData

Packages that use ParameterMetaData
Package
Description
java.sql
Provides the API for accessing and processing data stored in a data source (usually a relational database) using the Java programming language.

- ## Uses of ParameterMetaData in java.sql

  Methods in java.sql that return ParameterMetaData
  Modifier and Type
  Method
  Description
  `ParameterMetaData`
  PreparedStatement.`getParameterMetaData()`
  Retrieves the number, types and properties of this `PreparedStatement` object's parameters.